Package ru.bitel.bgbilling.modules.phone.server.bean

# Class ClientItemFinder

java.lang.Object
ru.bitel.bgbilling.modules.phone.server.bean.ClientItemFinder

public class ClientItemFinder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientItemFinder(Connection con, int mid, int sourceId, Calendar date1, Calendar date2, String cids)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CalculateClientItem`
  `findPoint(ru.bitel.bgbilling.modules.phone.server.LogRecord record, boolean byToNumber)`
  `List<CalculateClientItem>`
  `findRuleList(ru.bitel.bgbilling.modules.phone.server.LogRecord record, ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)`
  `String`
  `getItemCount()`
  `String`
  `getItemDetail()`
  `ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache`
  `getRangeMapCache()`
  `void`
  `setRangeMapCache(ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)`
  `ClientItemFinder`
  `sub(Connection con, int moduleId, Calendar hour)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientItemFinder

    public ClientItemFinder(Connection con, int mid, int sourceId, Calendar date1, Calendar date2, String cids)

- ## Method Details

  - ### findPoint

    public CalculateClientItem findPoint(ru.bitel.bgbilling.modules.phone.server.LogRecord record, boolean byToNumber)

  - ### findRuleList

    public List<CalculateClientItem> findRuleList(ru.bitel.bgbilling.modules.phone.server.LogRecord record, ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)

  - ### getItemCount

    public String getItemCount()

  - ### getItemDetail

    public String getItemDetail()

  - ### sub

    public ClientItemFinder sub(Connection con, int moduleId, Calendar hour) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setRangeMapCache

    public void setRangeMapCache(ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache rangeMapCache)

  - ### getRangeMapCache

    public ru.bitel.bgbilling.kernel.base.phone.server.RangeMapCache getRangeMapCache()